#import <Foundation/Foundation.h>
#import "iCore.h"

@class B4IBitmap;

//~version:2.10
//~shortname:SVG3x
//~dependsOn:     SVGKit.framework.3
//~dependson:     CoreText.framework
//~dependson:     CoreImage.framework
//~dependson:     libxml2.dylib
//~dependson:     QuartzCore.framework
//~dependson:     CoreGraphics.framework
//~ObjectWrapper: NSObject *

@interface iSVG3x : B4IObjectWrapper

- (void)Initialize: (NSString *) Directory :(NSString *) FileName;

- (B4IBitmap *) Export: (float) Width : (float) Height;

@property (nonatomic, readwrite) float      Width;
@property (nonatomic, readwrite) float      Height;
@property (nonatomic, readwrite) bool       KeepAspectRatio;
@property (nonatomic, readwrite) NSObject * Tag;

@end
